<!DOCTYPE html>
<html>
<head>
	<title>Cards Memory</title>
	<link rel="stylesheet" type="text/css" href="style.css">

</head>
<body>
	<div id="menu">

	<br/><br/>
	<p>Votre temps : <span id="minutes"></span>:<span id="seconds"></span></p>
	<br/><br/>
	<p>Nombre de coup : <a id="divA"> 0 </a></p>
	<br/><br/>
	<button id="divB" onclick="changeTheme()"> Changer de theme </button>
	<br/><br/>
	<a href="javascript:window.location.reload()">Nouvelle partie</a>



	</div>
	<div id="all">
		<div class="row">
			<div id="1"></div>
			<div id="2"></div>
			<div id="3"></div>
			<div id="4"></div>
			<div id="5"></div>
			<div id="6"></div>

		</div>
		<div class="row">
			<div id="7"></div>
			<div id="8"></div>
			<div id="9"></div>
			<div id="10"></div>
			<div id="11"></div>
			<div id="12"></div>

		</div>
		<div class="row">
			<div id="13"></div>
			<div id="14"></div>
			<div id="15"></div>
			<div id="16"></div>
			<div id="17"></div>
			<div id="18"></div>

		</div>
		<div class="row">
			<div id="19"></div>
			<div id="20"></div>
			<div id="21"></div>
			<div id="22"></div>
			<div id="23"></div>
			<div id="24"></div>

		</div>
	</div>
	<script type="text/javascript">



		var cartes = document.querySelectorAll('.row > div');
		var tabId = [];
		var tabClass = [];
		var j = "";
		var allCards = ['carte1', 'carte1', 'carte2', 'carte2', 'carte3', 'carte3', 'carte4', 'carte4', 'carte5', 'carte5', 'carte6', 'carte6', 'carte7', 'carte7', 'carte8', 'carte8', 'carte9', 'carte9', 'carte10', 'carte10', 'carte11', 'carte11', 'carte12', 'carte12'];

		function Rand_Tableau( tab_){
		  var i;
		  var Num;
		  var Nbr = tab_.length;
		  var Tab = new Array();
		  Tab = Tab.concat(tab_);
		  while( Nbr> 0){
		    Num = Math.floor(Math.random() * Nbr);
		    Nbr--;
		    szTmp = Tab[Num];
		    for( i= Num; i < Nbr; i++)
		      Tab[i] = Tab[i+1]
		    Tab[ Nbr] = szTmp;
		  }
		  Tab.reverse();
		  return( Tab);
		}

		allCards = Rand_Tableau(allCards);
		for (var i = 0; i < cartes.length; i++) {
			cartes[i].classList.add(allCards[i]);
		}


		// Changement de dossier
		let nomDeDossier = "images";
		let nomDeDossierAlt = "imagesAlt";
		let ndossier = false;

		var buttonTheme = document.getElementById("divB");
		buttonTheme.onclick = function(){
			if (ndossier == false) {
				ndossier = true;
			} else {
				ndossier = false;
			}
		}


var timerTrue = false;

		for (var i = 0; i < cartes.length; i++) {
			cartes[i].onclick = function(){

				if(this.getAttribute('class').split(' ')[1] != 'retourne' && tabId.length<2){

					j = this.getAttribute('class').split(' ')[0];
					if (ndossier == true) {
						this.style.background="url(images/" + j + ".jpg) center no-repeat";
					} else {
						this.style.background="url(imagesAlt/" + j + ".png) center no-repeat";
					}
					this.style.backgroundSize="50%";
					this.classList.add("retourne");

					if (timerTrue == false) {
						timerTrue = true;
						timer();
					}

					musicInGame();
					addIdAndClass();
					match();
				}
			}
		}
		function addIdAndClass(){
			for (var i = 0; i < cartes.length; i++) {
				if (tabId[0] != cartes[i].getAttribute('id') && cartes[i].classList.contains('retourne')){
					tabId.push(cartes[i].getAttribute('id'));
					tabClass.push(cartes[i].getAttribute('class').split(' ')[0]);
				}
			}
		}


		function match(){
			setTimeout(function(){
				if (tabId.length == 2){
					if(tabClass[0] == tabClass[1]) {

						for (var i = 0; i < cartes.length; i++) {
							if(cartes[i].classList.contains(tabClass[0])){
								cartes[i].classList.remove('retourne')
								cartes[i].style.visibility='hidden';
							}
						}

					}
					else{
						for (var i = 0; i < cartes.length; i++) {

								cartes[i].classList.remove('retourne')
								cartes[i].style.background="url('images/25.jpg') center no-repeat";
								cartes[i].style.backgroundSize="50%";
						}

					}
					tabId = [];
					tabClass = [];
					clicCards();
				}
			},2000);
		}

		// Chrono
	function timer(){
	    var sec = 0;
	    function pad ( val ) { return val > 9 ? val : "0" + val; }
	    setInterval( function(){
	        document.getElementById("seconds").innerHTML=pad(++sec%60);
	        document.getElementById("minutes").innerHTML=pad(parseInt(sec/60,10));
	    }, 1000);
	}

		// Lire la musique
		function musicInGame() {
		    var audio = new Audio('soundtrack.mp3');
		    audio.play();
		}


 let nbCoup = 0;

		// Fonction clic carte
	function clicCards(){

			nbCoup++;

	var text = document.getElementById("divA").textContent;
    document.getElementById("divA").textContent = nbCoup;
    return(nbCoup);
	}


	</script>
</body>
</html>
